Skip to content

Upload list file

POST
/api/v1/list/{id}/file
curl --request POST \
--url https://example.com/api/v1/list/example/file \
--header 'Content-Type: multipart/form-data' \
--form file=@file

Uploads a file (cover image) for a list

id
required
string
Media type multipart/form-data
object
file
string format: binary

File uploaded, list updated

Media type application/json
object
id
required

List ID (15 chars)

string
name
required
string
public
required
boolean
description
string
author
required

Author user ID

string
trails
Array<string>
created
string format: date-time
updated
string format: date-time
Example generated
{
"id": "example",
"name": "example",
"public": true,
"description": "example",
"author": "example",
"trails": [
"example"
],
"created": "2026-04-15T12:00:00Z",
"updated": "2026-04-15T12:00:00Z"
}

Bad Request

Not Found

Internal Server Error